Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Can't+connect+with+the+just+downloaded+66.0.4 version to virtually any site -Firefox won't accept ANY certificate! No problems with other browsers.

  • 6 balasan
  • 1 ada masalah ini
  • 103 paparan
  • Balasan terakhir oleh gimchiguk

more options

Can't connect with the just downloaded version 66.0.4 to virtually any site - not to Google, not to NYT, not even to Mozilla -Firefox won't accept ANY certificate! Following errors appear (examples): "Did Not Connect: Potential Security Issue Firefox detected a potential security threat and did not continue to addons.cdn.mozilla.net because this web site requires a secure connection. What can you do about it? addons.cdn.mozilla.net has a security policy called HTTP Strict Transport Security (HSTS), which means that Firefox can only connect to it securely. You can’t add an exception to visit this site. The issue is most likely with the web site, and there is nothing you can do to resolve it. If you are on a corporate network or using anti-virus software, you can reach out to the support teams for assistance. You can also notify the web site’s administrator about the problem.

Or: Warning: Potential Security Risk Ahead Firefox detected a potential security threat and did not continue to www.nytimes.com. If you visit this site, attackers could try to steal information like your passwords, emails, or credit card details. What can you do about it? The issue is most likely with the web site, and there is nothing you can do to resolve it. If you are on a corporate network or using anti-virus software, you can reach out to the support teams for assistance. You can also notify the web site’s administrator about the problem.

The explanation is as follows: Someone could be trying to impersonate the site and you should not continue. Web sites prove their identity via certificates. Firefox does not trust www.nytimes.com because its certificate issuer is unknown, the certificate is self-signed, or the server is not sending the correct intermediate certificates. Error code: SEC_ERROR_UNKNOWN_ISSUER

No problems whatever with other browsers. I'm sending this with Safari.

Penyelesaian terpilih

TyDraniu said

Because Firefox is a very secure browser.

Thanks!

Baca jawapan ini dalam konteks 👍 0

All Replies (6)

more options

Do you see the Advanced button on that page? Is there a certificate?

more options

TyDraniu said

Do you see the Advanced button on that page? Is there a certificate?

Yes, issued by Avast in 2018: expires in 2020.

more options

So Avast is intercepting your connection. See How to troubleshoot security error codes on secure websites

more options

TyDraniu said

So Avast is intercepting your connection. See How to troubleshoot security error codes on secure websites

This seems to have helped! Thank you very much!

Why was this happening only with Firefox and not with other browsers?

more options

Because Firefox is a very secure browser.

more options

Penyelesaian Terpilih

TyDraniu said

Because Firefox is a very secure browser.

Thanks!